package com.aucma.production.mapper;

import java.util.List;

import com.aucma.production.domain.ProdRoute;
import com.aucma.production.domain.ProdRouteDetail;
import org.apache.ibatis.annotations.Param;

/**
 * 生产工艺路线Mapper接口
 *
 * @author Codex
 * @date 2026-03-18
 */
public interface ProdRouteMapper {
    
    ProdRoute selectProdRouteByObjId(@Param("objId") Long objId);

    ProdRoute selectProdRouteByRouteCode(@Param("routeCode") String routeCode);

    List<ProdRoute> selectProdRouteList(ProdRoute prodRoute);

    List<ProdRouteDetail> selectProdRouteDetailListByRouteCode(@Param("routeCode") String routeCode);

    int insertProdRoute(ProdRoute prodRoute);

    int updateProdRoute(ProdRoute prodRoute);

    int deleteProdRouteByObjId(@Param("objId") Long objId);

    int deleteProdRouteByObjIds(@Param("objIds") Long[] objIds);

    int insertProdRouteDetail(ProdRouteDetail detail);

    int deleteProdRouteDetailByRouteCode(@Param("routeCode") String routeCode);
}
